/// <reference types="node" />
import * as tf from "@tensorflow/tfjs-node";
import EfficientNetResult from "./EfficientNetResult";
export default class EfficientNetModel {
    modelPath: string;
    imageSize: number;
    model: tf.GraphModel | undefined;
    constructor(modelPath: string, imageSize: number);
    load(): Promise<void>;
    private createTensor;
    private cropAndResize;
    private predict;
    inference(imgPath: string | Buffer): Promise<EfficientNetResult>;
}
